Reconcile an expectation to statement transactions Run in API Explorer
Ask AI
Body
-
The expectation to reconcile against statement transactions.
-
The list of statement transactions to reconcile against expectations. Required if provider_statement_uuid is not present.
-
Create linked policy numbers from the policy number of the statement transactions for the plan belonging to the expectation.
POST
/api/v1/expectation/reconcile
curl \
--request POST 'https://api.plannrcrm.com/api/v1/expectation/reconcile' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"expectation_uuid": "cd6def42-2b69-414c-9a82-7a6a46409c6a",
"statement_transactions": [
"396f6506-e3e2-49dc-abdc-573dfaa24114",
"a4fc895f-f8f7-4902-b710-5f84a3866115",
"08c92406-fd5f-46b6-8d23-1c853528f86e"
],
"create_linked_policy_numbers": true
}'
Request examples
{
"expectation_uuid": "cd6def42-2b69-414c-9a82-7a6a46409c6a",
"statement_transactions": [
"396f6506-e3e2-49dc-abdc-573dfaa24114",
"a4fc895f-f8f7-4902-b710-5f84a3866115",
"08c92406-fd5f-46b6-8d23-1c853528f86e"
],
"create_linked_policy_numbers": true
}
Response examples (200)
{
"uuid": "fc1c4886-a48c-45e4-8697-c199010af402",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"payment_origin": "provider",
"type": "fee",
"category": "ongoing_fee",
"expected_payment_date": "2026-09-17T15:11:00+01:00",
"tax_exempt": true,
"tax": 20,
"recurring": true,
"is_balanced": false,
"unbalanced_expected_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"expected_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"percentage": 0.75,
"exclude_from_rmar": true,
"rmar_type": "adviser_charge",
"advice_type": "independent",
"service_type": "initial",
"advice_area_gross": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"advice_area_net": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"account": {
"uuid": "1250a86a-2e88-4766-80ee-391a5d79c960",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "1111be7e-01eb-4fcf-a127-1b2b877d35ef",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-09-17T14:21:06+01:00",
"end_date": "2026-09-17T14:49:06+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "aadc69bb-c273-4714-a392-c08f63ce2828",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"tags": {
"uuid": "bf933c8e-ee79-42cf-8b3e-27a8474e6a7b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-09-17T15:11:00+01:00",
"next_review_date": "2026-09-17T15:11:00+01:00",
"previous_review_date": "2026-09-17T15:11:00+01:00",
"anniversary_review_date": "2026-09-17T15:11:00+01:00",
"terms_of_business_at": "2026-09-17T15:11:00+01:00",
"client_agreement_at": "2026-09-17T15:11:00+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"circles": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"ownership_percentage": 100,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:00",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:00+01:00",
"out_of_office_until": "2026-09-17T15:11:00+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "9553825c-c4c3-4902-857e-7d28b0dd68d1",
"name": "Gold",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "eed66603-e4be-4584-bc91-6f9a5c327f4b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"seller": {
"uuid": "7cacb61f-f3bc-4449-a899-86b89a24f179",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "1111be7e-01eb-4fcf-a127-1b2b877d35ef",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-09-17T14:21:06+01:00",
"end_date": "2026-09-17T14:49:06+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "aadc69bb-c273-4714-a392-c08f63ce2828",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"tags": {
"uuid": "bf933c8e-ee79-42cf-8b3e-27a8474e6a7b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-09-17T15:11:00+01:00",
"next_review_date": "2026-09-17T15:11:00+01:00",
"previous_review_date": "2026-09-17T15:11:00+01:00",
"anniversary_review_date": "2026-09-17T15:11:00+01:00",
"terms_of_business_at": "2026-09-17T15:11:00+01:00",
"client_agreement_at": "2026-09-17T15:11:00+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"circles": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"ownership_percentage": 100,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:00",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:00+01:00",
"out_of_office_until": "2026-09-17T15:11:00+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "9553825c-c4c3-4902-857e-7d28b0dd68d1",
"name": "Gold",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "eed66603-e4be-4584-bc91-6f9a5c327f4b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"author": {
"uuid": "7880ef14-8006-4eb1-89e5-27173a6ef0ea",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "1111be7e-01eb-4fcf-a127-1b2b877d35ef",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-09-17T14:21:06+01:00",
"end_date": "2026-09-17T14:49:06+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "aadc69bb-c273-4714-a392-c08f63ce2828",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"tags": {
"uuid": "bf933c8e-ee79-42cf-8b3e-27a8474e6a7b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-09-17T15:11:00+01:00",
"next_review_date": "2026-09-17T15:11:00+01:00",
"previous_review_date": "2026-09-17T15:11:00+01:00",
"anniversary_review_date": "2026-09-17T15:11:00+01:00",
"terms_of_business_at": "2026-09-17T15:11:00+01:00",
"client_agreement_at": "2026-09-17T15:11:00+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"circles": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"ownership_percentage": 100,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:00",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:00+01:00",
"out_of_office_until": "2026-09-17T15:11:00+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "9553825c-c4c3-4902-857e-7d28b0dd68d1",
"name": "Gold",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "eed66603-e4be-4584-bc91-6f9a5c327f4b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"charge_schedule": {
"uuid": "0a03554c-e4fe-4678-a871-f1640ba0e9ba",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"payment_origin": "provider",
"type": "fee",
"category": "ongoing_fee",
"recurring": true,
"frequency": "monthly",
"start_date": "2026-01-17",
"end_date": "2026-10-17",
"next_expectation_date": "2026-09-27",
"tax_exempt": false,
"tax": 17.5,
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"percentage": 0.75,
"percentage_frequency": "annually",
"charge_identifier": "PLANNR-72484",
"exclude_from_rmar": true,
"rmar_type": "adviser_charge",
"advice_type": "independent",
"service_type": "initial",
"advice_area": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"plan_value": "plan",
"chargeable_type": {
"amount": "12000000",
"currency": "GBP",
"formatted": "£120,000.00"
},
"chargeable": {
"uuid": "6bdc4e09-615d-4da3-9a66-53284b6e44be",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"opened_at": "2026-09-17T15:11:06+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-09-17T15:11:06+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-09-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-09-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-09-17T15:11:06+01:00",
"original_valued_at": "2026-09-16T15:11:06+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"account": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"author": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"seller": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"premium": {
"uuid": "a3de0f7a-4ef1-4ede-801e-5df0e21a9b57",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"transfer_type": "transfer",
"date_of_transfer_valuation": "2026-05-01",
"date_advice_given": "2026-03-27",
"premium": 74584,
"premium_monthly": 298336,
"premium_annually": 3580032,
"total_premium_to_date": 74584,
"amount": 74584,
"percentage": 5.5,
"frequency": "weekly",
"source": "employee",
"payment_method": "direct_debit",
"start_date": "2026-08-03",
"end_date": "2028-09-17",
"pensionable_salary": 10000000,
"details": "Extra premium details",
"transferred_from_plan_type": "cash_account",
"transferred_from_plan_sub_type": "cash_deposit"
},
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"notes_count": 5
},
"chargeable_type": "plan",
"chargeable": {
"uuid": "86a337fd-5f7f-4a9f-85f1-0cbc5fa74c5f",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"opened_at": "2026-09-17T15:11:00+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-09-17T15:11:00+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-09-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-09-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"main_account": {
"uuid": "bb5a0543-87d0-4957-bf39-74e29357e4da",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"sub_accounts": {
"uuid": "bb5a0543-87d0-4957-bf39-74e29357e4da",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"provider": {
"uuid": "649b8959-83fa-406a-bed5-e3b3d9c21d28",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"covers": {
"uuid": "6c999645-6e3b-4f92-aac9-e2b38485087f",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"indexation": 1.4
},
"claims": {
"uuid": "cc9315fe-bfb4-4a6a-8e3a-fa50c70f617c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"claim_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"claim_start_date": "2025-09-17",
"claim_end_date": "2031-09-17",
"claim_notes": "Claim notes"
},
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
}
},
"latest_valuations": {
"uuid": "9e8375a0-ea33-4c4f-8faf-3d518973704f",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"valued_at": "2026-09-17T15:11:06+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"valued_at": "2026-09-17T15:11:00+01:00",
"original_valued_at": "2026-09-16T15:11:00+01:00",
"client": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"accounts": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"seller": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_owners": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_plans": {
"uuid": "6bdc4e09-615d-4da3-9a66-53284b6e44be",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"opened_at": "2026-09-17T15:11:06+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-09-17T15:11:06+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-09-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-09-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-09-17T15:11:06+01:00",
"original_valued_at": "2026-09-16T15:11:06+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"visible_to_circles": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"statistics": {
"recent_growth": 100
},
"cases": {
"uuid": "cee1b1f8-8d10-46b5-b7cb-0952f7a412a2",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "finance",
"slug": "finance",
"review_at": "2026-09-17T15:11:06+01:00",
"assigned_to_uuids": [
null
],
"group_uuids": [
null
],
"completed_at": "2026-09-17T15:11:06+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"task_board_uuid": null
},
"tags": {
"uuid": "bf933c8e-ee79-42cf-8b3e-27a8474e6a7b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"is_wrap_product": false,
"is_wrap_child": false,
"wrap": {
"uuid": "6bdc4e09-615d-4da3-9a66-53284b6e44be",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"opened_at": "2026-09-17T15:11:06+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-09-17T15:11:06+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-09-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-09-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-09-17T15:11:06+01:00",
"original_valued_at": "2026-09-16T15:11:06+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"wrap_children": {
"uuid": "6bdc4e09-615d-4da3-9a66-53284b6e44be",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"opened_at": "2026-09-17T15:11:06+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-09-17T15:11:06+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-09-17",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-09-17",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-09-17T15:11:06+01:00",
"original_valued_at": "2026-09-16T15:11:06+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"linked_policy_numbers": {
"uuid": "7a55ba39-10e0-45b4-a8da-1c1b4633ca81",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"linked_policy_number": "ABC123-X"
},
"can_be_deleted": "false",
"contract_enquiry_account": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"mortgage_product": {
"uuid": "63b5b73d-e4de-45d2-abdc-55e027ddea90",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "eed66603-e4be-4584-bc91-6f9a5c327f4b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"statement_transactions": [
{
"uuid": "c4e55886-7dee-4ba8-9dc9-fffd43683c48",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "FDPZWPXLkT",
"policy_number": "AVIVA_00001",
"date": "2026-09-17",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"provider_statement": {
"uuid": "d23976bc-4bff-45f0-9efa-b0e945003475",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"number": 23,
"name": "Aviva",
"date": "2026-09-17",
"reference": "SW#8434",
"filename": "aviva-statement-may.csv",
"origin": "upload",
"statement_transactions_count": 6,
"total_amount": null,
"reconciled_expectations_amount": null,
"reconciled_expectations_percentage": 95.68,
"reconciled_bank_transactions_amount": null,
"reconciled_bank_transactions_percentage": 95.68,
"is_fully_reconciled_to_expectations": true
},
"metadata": {
"client_name": "Gareth Thompson"
},
"expectation": {
"uuid": "0a7aae1d-91ba-445c-956c-6cb5ae92d4af",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"payment_origin": "provider",
"type": "fee",
"category": "ongoing_fee",
"expected_payment_date": "2026-09-17T15:11:06+01:00",
"tax_exempt": true,
"tax": 20.0,
"recurring": true,
"is_balanced": false,
"unbalanced_expected_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"expected_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"percentage": 0.75,
"exclude_from_rmar": true,
"rmar_type": "adviser_charge",
"advice_type": "independent",
"service_type": "initial",
"advice_area_gross": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"advice_area_net": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"chargeable_type": "plan",
"notes_count": 5
},
"bank_transactions": {
"uuid": "984366cc-d6f7-4717-8ff9-ad1fab719c40",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"date": "2022-07-15",
"amount": null,
"reference": "VitalityLtd",
"metadata": {
"client_name": "Gareth Thompson"
},
"filename": "Natwest June 2022 Statement.xlsx"
},
"statement": {
"uuid": "c7cc0c67-e351-4551-9a42-83e3f12189d6",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-09-17T15:11:06+01:00",
"total_expectations": null,
"total_statement_transactions": null,
"total_bank_transactions": null,
"total_expectation_amount_reconciled_to_bank": null,
"total_expectation_percentage_reconciled_to_bank": null,
"expectations_count": 6,
"statement_transactions_count": 6
},
"account": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
}
}
],
"statement": {
"uuid": "1b90e679-f56e-483c-8e4c-327dd6dc62de",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-09-17T15:11:00+01:00",
"locked_by": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"total_expectations": {
"amount": "124585",
"currency": "GBP",
"formatted": "£1,245.85"
},
"total_statement_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_bank_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_amount_reconciled_to_bank": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_percentage_reconciled_to_bank": {
"amount": "8570",
"currency": "GBP",
"formatted": "£85.70"
},
"expectations_count": 6,
"statement_transactions_count": 6,
"statement_transactions": {
"uuid": "3d742b89-2b1f-406e-a363-209d07940f89",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "oPMkGFOHDw",
"policy_number": "AVIVA_00001",
"date": "2026-09-17",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
}
},
"income_splits": [
{
"splitable_type": "account",
"splitable_uuid": "10e27aa3-06e8-4bdc-8567-326332d836c4",
"type": "selling_adviser",
"name": "Gareth Thompson",
"requested_percentage": 70,
"percentage": 70,
"expected_amount": {
"amount": "12500",
"currency": "GBP",
"formatted": "£125.00"
},
"expected_gross_amount": {
"amount": "12500",
"currency": "GBP",
"formatted": "£125.00"
},
"expected_net_amount": {
"amount": "10400",
"currency": "GBP",
"formatted": "£104.00"
},
"expected_fci_recognition": {
"amount": "12500",
"currency": "GBP",
"formatted": "£125.00"
},
"reconciled_gross_amount": {
"amount": "11483",
"currency": "GBP",
"formatted": "£114.83"
},
"reconciled_net_amount": {
"amount": "9569",
"currency": "GBP",
"formatted": "£95.69"
},
"reconciled_fci_recognition": {
"amount": "9569",
"currency": "GBP",
"formatted": "£95.69"
},
"bank_receipt_date": "2026-09-17"
}
],
"firm": {
"uuid": "49ba695f-1a6f-4be2-8ff3-588bf47be1bc",
"created_at": "2026-09-17T15:11:00+01:00",
"updated_at": "2026-09-17T15:11:00+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "7308ef8f-f6fd-4f4f-a835-115ed6fa20d6",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"enabled": "true",
"trial_ends_at": "2026-10-01",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-10-05"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"notes_count": 5
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}